Create brand
curl --request POST \
--url https://app.alana.shopping/api/workspace/{workspaceId}/brands \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "New Brand",
"description": "Brand description here"
}
'{
"brand": {
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"slug": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"logo_url": "<string>",
"description": "<string>"
}
}Create Brand
POST
/
api
/
workspace
/
{workspaceId}
/
brands
Create brand
curl --request POST \
--url https://app.alana.shopping/api/workspace/{workspaceId}/brands \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "New Brand",
"description": "Brand description here"
}
'{
"brand": {
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"slug": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"logo_url": "<string>",
"description": "<string>"
}
}Authorizations
Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>
Path Parameters
The workspace ID
Pattern:
^ws_[a-z0-9]+$Body
application/json
Response
Brand created successfully
Show child attributes
Show child attributes
Last modified on May 18, 2026
⌘I